
#include <QString>
#include <QObject>
#include "oemstrings.h"
#include "version_str.h"
//#include "adcmlib/adcm_ver.h"

QString OEMStrings::name()
{
    return QObject::tr("ADCM Control Program");
}

QString OEMStrings::version()
{
    return QObject::tr("Version ") + QString::fromUtf8(VERSION_STR);
}

QString OEMStrings::release_date()
{
    return QObject::tr("Compiled ") + QString(__DATE__ __TIME__);
}

QString OEMStrings::copyright()
{
    return QObject::tr("Copyright 2003-2019 Ilja Slepnev, Ivan Filippov");
}

QString OEMStrings::address()
{
    return QObject::tr("Joint Institute for Nuclear Research<br>Dubna, RUSSIA");
}

QString OEMStrings::www()
{
    return "http://afi.jinr.ru/";
}
