#ifndef TWRITE_H
#define TWRITE_H

#include <QObject>

#include "config/allconfig.h"

class storage;
class FrameList;
class AllConfig;

class RawDataWriter : public QObject
{
    Q_OBJECT

public:
    explicit RawDataWriter(QObject *parent);

public Q_SLOTS:
    void writeFrameList(const FrameList &list);
    void setStorageConfig(const StorageConfig &r);
    void reset();
    void endBurst();

private:
    storage * const stor;
    StorageConfig storageConfig;
};

#endif /* TWRITE_H */
