/*
**    Copyright 2019 Ilja Slepnev
**    Copyright 2013-2014 Ivan Filippov
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef FIRCONFIG_H
#define FIRCONFIG_H

#include "dsplib/fir.h"
#include "global_types.h"
#include "ConfigStatus.h"

class FirConfig : public fir_t<decoder_fir_coef_t>
{
public:
    ConfigStatus validate(const QString &title = QString()) const;
//    FirConfig(const fir_t<decoder_fir_coef_t> &r)
//        : fir_t<decoder_fir_coef_t>(r)
//    { }
};

#endif                          /* FIRCONFIG_H */
