#ifndef DEVICEHISTORY_H
#define DEVICEHISTORY_H

#include "mldiscover/DeviceIndex.h"
#include "mldiscover/DeviceDescription.h"
#include <QObject>

class DeviceHistory : public QObject
{
    Q_OBJECT
public:
    DeviceHistory():QObject(NULL){}
    ~DeviceHistory() {}
private slots:
    void deviceDiscoveredAll(const DeviceDescription &dd);
    void deviceExpired(DeviceIndex);

private:
    QMap<DeviceIndex, QDateTime> onlineTime;
    QMap<DeviceIndex, DeviceDescription> currentState;
};

#endif // DEVICEHISTORY_H
