#ifndef PNPBEACON_H
#define PNPBEACON_H

#include "pnp-server/PNPMessage.h"

#include <QObject>
#include <QStringList>

class QTimer;

class PNPBeacon : public QObject
{
    Q_OBJECT
public:
    explicit PNPBeacon(QStringList args = QStringList());

signals:
    void sendDescriptio(const ProgramDescription &pd);

private slots:
    void sendMessage();
private:
    QTimer * const sendTimer;
    ProgramDescription progDescr;
    uint sendCnt;
};

#endif // PNPBEACON_H
