#ifndef TQDCFILEREADER_H
#define TQDCFILEREADER_H

#include <QFile>

class QSemaphore;
class QTimer;

class TqdcFileReader : public QObject
{
    Q_OBJECT
public:
    TqdcFileReader(QSemaphore *sem);
public slots:
    void setFileName(QString fileName);

private slots:
    void readFile();
signals:
    void dataAccuired(QByteArray,bool=false);

private:
    QSemaphore * const freeRawDataSem;
    QTimer *readFileTimer;
    QFile dataFile;
};

#endif // TQDCFILEREADER_H
