#ifndef STARTUPOPTIONS_H
#define STARTUPOPTIONS_H

#include <QCommandLineParser>

class StartupOptions : public QCommandLineParser
{
public:
    StartupOptions(const QString &program_type);
    void parse_options();

    QString program_type;
    QString program_version;
    QString program_index;
    QString configuration_name;
    bool list;
    bool version;
    bool debug_mode;

private:
    void show_config_list(const QMap<QString, QStringList> &config_map);
};

#endif // STARTUPOPTIONS_H
