#ifndef ZMQTYPES_H
#define ZMQTYPES_H

#include <QMetaType>
class QSettings;
class RootConfig;

// ØMQ

class ZmqConfig
{
public:
    void loadSettings(QSettings &settings);
    void saveSettings(QSettings &settings) const;
    void root_to_variables(RootConfig root);
    RootConfig variables_to_root();

    int port=0;
    bool enabled=false;
    bool test_mode=false;
    bool print_messages=false;
};
Q_DECLARE_METATYPE(ZmqConfig)

class ZmqStatus
{
public:
    int port=0; // use as return value in case of autodetect
    bool working=false;
    quint64 packages=0;
};
Q_DECLARE_METATYPE(ZmqStatus)

#endif // ZMQTYPES_H
