#ifndef HPTDCVOLTAGETEST_H
#define HPTDCVOLTAGETEST_H

#include <QString>
#include <QDateTime>

class HistContainer;
class HistMngrCfg;
class AnalyzerStats;

#include "DeviceCalibration.h"
#include "../tdc2/TDCDevice.h"

class HptdcVoltageTest
{
public:
    HptdcVoltageTest() {}
    void print(QString dataFile, const AnalyzerStats &lastAnalStat, const HistContainer &hc, const HistMngrCfg &histCfg, const InlResults &inlRes);
    void updatePowerInfo(QString fn);
    void updatePowerInfo(QDateTime start, QDateTime stop);

    QMap<DeviceIndex, BmcPower> min;
    QMap<DeviceIndex, BmcPower> max;
    QString source_fn;
};

#endif // HPTDCVOLTAGETEST_H
