#ifndef INLCHECKRESULTS_H
#define INLCHECKRESULTS_H

#include <QMap>
#include <QMetaType>

#include "mldiscover/DeviceIndex.h"
#include "histogramm/Histogramm.h"

struct InlCheckCh
{
    DistributionParams dist;
    int ch;
};

struct InlCheckDevice
{
    QMap<int, InlCheckCh> channels;
};

struct InlCheckResults
{
    InlCheckResults();

    QMap<DeviceIndex, InlCheckDevice> devices;
    DeviceIndex stopDev;
    int stopCh;
};
Q_DECLARE_METATYPE(InlCheckResults)

#endif // INLCHECKRESULTS_H
