#ifndef CALCONFIG_H
#define CALCONFIG_H

#include <QString>
#include <QMap>

#include "DeviceCalibration.h"
#include "mongo/BaseConfig.h"

class DeviceIndex;
class QSettings;

class CalConfig : public BaseConfig
{
protected:
    virtual void reloadCalibration();
//    void saveCalibration(QSettings &s, const DeviceIndex devIndex);
    void reloadCalibration(QSettings &s);
    QString getInlSectionStr(const DeviceIndex &devIndex);
    QString getCalSectionStr(const DeviceIndex &devIndex);
    QString getKeyStr_X1(int ch);
    QString getKeyStr_X4(int ch);
    QString getKeyStr_ThrOffset(int ch);
    DeviceIndex getDevIndexByGroup(QString groupStr, QString &type);

public:
    QMap<DeviceIndex, DeviceCalibration> allCal;
};

#endif // CALCONFIG_H
