#include "TQDC2StratupOptions.h"

TQDC2StartupOptions::TQDC2StartupOptions(const QString &program_type_) :
    StartupOptions(program_type_),
    inl_option(QStringList() << "i" << "inl", "Enables save INL correction")
{
    addOption(inl_option);
}

void TQDC2StartupOptions::parse_options()
{
    StartupOptions::parse_options();
    inl = isSet(inl_option);
}
