#include <QString>

QString getTqdcErrorDescr(int bitNumber)
{
    switch (bitNumber) {
    case 0:
        return "Hit lost in group 0 from read-out fifo overflow";
    case 1:
        return "Hit lost in group 0 from L1 buffer overflow";
    case 2:
        return "Hit error have been detected in group 0";
    case 3:
        return "Hit lost in group 1 from read-out fifo overflow";
    case 4:
        return "Hit lost in group 1 from L1 buffer overflow";
    case 5:
        return "Hit error have been detected in group 1";
    case 6:
        return "Hit lost in group 2 from read-out fifo overflow";
    case 7:
        return "Hit lost in group 2 from L1 buffer overflow";
    case 8:
        return "Hit error have been detected in group 2";
    case 9:
        return "Hit lost in group 3 from read-out fifo overflow";
    case 10:
        return "Hit lost in group 3 from L1 buffer overflow";
    case 11:
        return "Hit error have been detected in group 3";
    case 12:
        return "Hits rejected because of programmed event size limit";
    case 13:
        return "Event lost (trigger FIFO ovefrlow)";
    case 14:
        return "Internal fatal chip error has been detected";
    default:
        return "Unknown";
    }
}
