#ifndef LOGPRIORITY_H
#define LOGPRIORITY_H

    enum LOG_PRIORITY {
        LOG_PRI_EMERG = 0,	   /* system is unusable */
        LOG_PRI_ALERT = 10,    /* action must be taken immediately */
        LOG_PRI_CRIT = 20,     /* critical conditions              */
        LOG_PRI_ERR = 30,      /* error conditions                 */
        LOG_PRI_WARNING = 40,  /* warning conditions               */
        LOG_PRI_NOTICE = 50,   /* normal but significant condition */
        LOG_PRI_PRI_INFO = 60,     /* informational                    */
        LOG_PRI_DEBUG = 70,    /* debug-level messages             */
    };

#endif // LOGPRIORITY_H

