#ifndef MANUALADDDIALOG_H
#define MANUALADDDIALOG_H

#include <QDialog>
#include <QMap>

namespace Ui {
class ManualAddDialog;
}

class ManualAddDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ManualAddDialog(QWidget *parent = nullptr);
    ~ManualAddDialog();
    quint64 getSerial() const;
    quint16 getDeviceId() const;
    void setDeviceIdMap(QMap<quint16, QString> deviceTypeMap);

private slots:
    void validateData() const;

private:
    Ui::ManualAddDialog *ui;
    QMap<quint16, QString> deviceTypeMap;
};

#endif // MANUALADDDIALOG_H
