/*
**    Copyright 2006-2019 Ilja Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef MLINKDEVICEINTERFACEDEBUG_H
#define MLINKDEVICEINTERFACEDEBUG_H

#include "MlinkDeviceInterfaceBase.h"

namespace mlink {

class MlinkDeviceInterfaceDebug: public MlinkDeviceInterfaceBase
{
public:
//    const char *ml_strerror(int errnum);
    virtual void ml_print_raw_buffer(const void *ptr, size_t size) const;
    virtual void print_link_error(int ret, const QString &text) const;
    virtual void print_frame_error(int ret, const QString &text) const;
};

} // namespace mlink

#endif // MLINKDEVICEINTERFACEDEBUG_H
