#ifndef MLINKPACKETPROTOCOL_H
#define MLINKPACKETPROTOCOL_H

namespace mlink {

    class RegIoPacket;

    class MlinkPacketProtocol {
    public:
        static unsigned long ackSize(const RegIoPacket &tx);
        static unsigned int ackType(const RegIoPacket &tx);
        static double getTimeout();
        static int getMaxRetryCount();
        static double random_delay(int retry_count);
    };

} // namespace mlink

#endif // MLINKPACKETPROTOCOL_H
