//
//    Copyright 2016 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
#ifndef BMSTATUS_H
#define BMSTATUS_H

#include <QtGlobal>
#include <QVector>

class BMSensor
{
public:
    bool ready = false;
    quint64 ow_id = 0;
    double temp = -255;
};

class BMStatus
{
public:
    QString getTempStr() const;

    QVector<BMSensor> sensors;
    quint16 pwr_status = 0;
};

#endif // BMSTATUS_H
